# linux
SYSCONFDIR=	/etc
SBINDIR=	/usr/sbin
LIBEXECDIR=	/lib/dhcpcd
DBDIR=		/var/lib/dhcpcd
RUNDIR=		/var/run
LIBDIR=		/usr/lib
MANDIR=		/usr/share/man
CC=		gcc
CPPFLAGS+=	-D_BSD_SOURCE -D_XOPEN_SOURCE=600
SRCS+=		if-linux.c if-linux-wireless.c lpf.c
SRCS+=		platform-linux.c
LDADD+=		-lrt
COMPAT_SRCS+=	compat/arc4random.c
COMPAT_SRCS+=	compat/closefrom.c
COMPAT_SRCS+=	compat/strlcpy.c
SERVICEEXISTS=	[ -x /etc/rc.d/$$1 ]
SERVICECMD=	/etc/rc.d/$$1 $$2
SERVICESTATUS=	service_command $$1 status >/dev/null 2>\&1
HOOKSCRIPTS=	
